

local function FixChatFrames()
	
	local tabHeight = 25
	local tabFontSize = 10
	
	for i = 1, NUM_CHAT_WINDOWS do
		DEFAULT_CHAT_FRAME:AddMessage( i )
		local ChatFrame = _G["ChatFrame"..i]
		local tab = _G[("ChatFrame%dTab"):format(i)]
		local tabGlow = _G[("ChatFrame%dTabGlow"):format(i)]
		local tabText = _G[("ChatFrame%dTabText"):format(i)]
		local tabStr =  tabText:GetText() 
		
		-- Set the frame strata och chat frames to medium
		ChatFrame:SetFrameStrata("MEDIUM")
			
		tabGlow:SetWidth( tabStr:len()*(tabFontSize/2)+ tabFontSize*2 )
		tabGlow:SetHeight( tabHeight +10 )
		tabGlow:SetPoint( "BOTTOMLEFT", -2, -5 )		
		
		tabText:SetFont("Interface\\AddOns\\QuiTweeks\\fonts\\Emblem.ttf", tabFontSize ) 
		tabText:SetTextColor(1,1,1)
		tabText:SetJustifyH("LEFT")
		tab:SetWidth( tabStr:len()*(tabFontSize/2)+ tabFontSize*2 )
		
		if( ChatFrame.isDocked ) then
			tab:SetHeight( tabHeight )
		else
			tab:SetHeight( tabHeight+3)
		end
			
		tab.leftTexture:SetWidth(0.0001)
		tab.middleTexture:SetWidth( tabStr:len()*(tabFontSize/2)+ tabFontSize*2 )
		tab.rightTexture:SetWidth(0.0001)	
		
		tab.leftTexture:Hide()
		tab.middleTexture:Hide()
		tab.rightTexture:Hide()
		
		tab.leftHighlightTexture:Hide()
		tab.middleHighlightTexture:Hide()
		tab.rightHighlightTexture:Hide()
		
		tab.leftSelectedTexture:Hide()
		tab.middleSelectedTexture:Hide()
		tab.rightSelectedTexture:Hide()
	end
	return true
end 
	
local function FixMiniMap()
	--[[ Set Mini map starata]]--	
	Minimap:SetFrameStrata("HIGH")
	Minimap.border:SetFrameStrata("HIGH")	
end

local function FixAlertFrames()
--[[ Set Alert Frame anchor ]]--
	AlertFrame:ClearAllPoints()
	AlertFrame:SetFrameStrata("HIGH")
	AlertFrame:SetPoint( "RIGHT",UIParent, -130, -400 ) 
end


	
	
local FC = CreateFrame("Frame");
FC:RegisterEvent("PLAYER_ENTERING_WORLD")
FC:SetScript("OnEvent", function(self,event,...)
	
	ChatTypeInfo["OFFICER"].flashTab = true
	ChatTypeInfo["PARTY"].flashTab = true
	ChatTypeInfo["RAID"].flashTab = true	
	ChatTypeInfo["GUILD"].flashTab = true
		
	FixChatFrames()
	FixMiniMap()
	FixAlertFrames()
	
	DEFAULT_CHAT_FRAME:AddMessage("QUI Tweeks : LOADED" )
	
end )

_G.hooksecurefunc("FCF_OpenNewWindow", FixChatFrames )
_G.hooksecurefunc("FCF_Tab_OnClick", FixChatFrames )
_G.hooksecurefunc("FCFTab_UpdateColors", FixChatFrames )
_G.hooksecurefunc("FCF_DockFrame", FixChatFrames )
_G.hooksecurefunc("FCF_UnDockFrame", FixChatFrames )
_G.hooksecurefunc("FCF_Close", FixChatFrames )	











	
	



